Bug 703930 - Make syntax errors in *makefiles.sh abort the build; r=khuey
authorEd Morley <bmo@edmorley.co.uk>
Wed, 30 Nov 2011 18:37:58 +0000
changeset 82683 0f4282490c81d6f261834285946e0881bc8ed7c2
parent 82682 77d0e3e4cf0f0556ef7de42ef2fc7e05678f002a
child 82684 20a24dd3f56bac4574310d7f47d0905c64b97728
push idunknown
push userunknown
push dateunknown
reviewerskhuey
bugs703930
milestone11.0a1
Bug 703930 - Make syntax errors in *makefiles.sh abort the build; r=khuey
allmakefiles.sh
--- a/allmakefiles.sh
+++ b/allmakefiles.sh
@@ -36,16 +36,19 @@
 #
 # ***** END LICENSE BLOCK *****
 
 # allmakefiles.sh - List of all makefiles.
 #   Appends the list of makefiles to the variable, MAKEFILES.
 #   There is no need to rerun autoconf after adding makefiles.
 #   You only need to run configure.
 
+# Turn on exit on error
+set -o errexit
+
 MAKEFILES=""
 
 # add_makefiles - Shell function to add makefiles to MAKEFILES
 add_makefiles() {
   MAKEFILES="$MAKEFILES $*"
 }
 
 if [ "$srcdir" = "" ]; then
@@ -146,8 +149,11 @@ done
 
 # Toolkit makefiles
 if [ ! "$LIBXUL_SDK" ]; then
   . "${srcdir}/toolkit/toolkit-makefiles.sh"
 fi
 
 # Services makefiles
 . "${srcdir}/services/makefiles.sh"
+
+# Turn off exit on error, since it breaks the rest of configure
+set +o errexit